Subject: [os2genau_digest] No. 1189
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 14 Sep 2005 00:02:17 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 13 September 2005
 Number  1189
**************************************************

Subjects for today
 
1  Re:  Parallels Workstation 2 : Kris Steenhaut <kris.steenhaut at hccnet.nl>
1   Linux to OS/2 : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Linux to OS/2 : Paul Smedley <paul at smedley.info>

**= Email   1 ==========================**

Date:  Mon, 12 Sep 2005 22:32:45 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  Parallels Workstation 2

Voytek Eymont schreef:

>On Mon, September 12, 2005 5:19 pm, Kris Steenhaut wrote:
>  
>
>>Voytek Eymont schreef:
>>    
>>
>>>so, is this something like Virtual PC ?
>>>
>>>      
>>>
>>Indeed "something", as there is no OS2 host available.
>>    
>>
>
>well, Microsoft's VPC doesn't support OS/2 host either...
>
>(surprising as it was, I was offered a free MS VPC, for the cost of
>CD/shipping, which I took up, obviously from Innotek's VPC list)
>
>  
>
And what is it what you want to say?

-- 
Groeten uit Gent,

   Kris

http://www.taartenbakkerij dot com/bestanden/warpstock-europe-2005-dresden.jpg
http://www.taartenbakkerij dot com/bestanden/zum_weberplatz.jpg

----------------------------------------------------------------------------------

**= Email   1 ==========================**

Date:  Tue, 13 Sep 2005 20:33:22 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Linux to OS/2

Can one only compile character mode Linux programs for OS/2 ?

I'm thinking of the programs such as CDRecord and Sane whose "front end" 
s are native OS/2 programs which talk to the command line application.

What about Linux programs that need to be accessed via a GUI - are these 
only possible to be run (if at all) in a X-Windows environment on OS/2 ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 13 Sep 2005 20:18:22 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  Linux to OS/2

Hi Ed,

Ed Durrant wrote:
> Can one only compile character mode Linux programs for OS/2 ?
> 
> I'm thinking of the programs such as CDRecord and Sane whose "front end" 
> s are native OS/2 programs which talk to the command line application.
These are the simplest to compile.  ie even a hacker like me can get 
things to compile reasonably easily (ie http://smedley.info/sane.html & 
http://smedley.info/os2ports.html)

> What about Linux programs that need to be accessed via a GUI - are these 
> only possible to be run (if at all) in a X-Windows environment on OS/2 ?

Short answer - it depends.

There are a few gui toolkits used in linux applications - some of which 
are available on OS/2.  This is however an area we are severely lacking in.

We do have wxwidgets - but this isn't really all that stable/useful on OS/2.

http://wiki dot netlabs dot org/index.php/Fundraising_campaign details some 
other toolkits and has links to help fund these toolkits on OS/2.

Cheers,

Paul.
----------------------------------------------------------------------------------